[Additional Drivers] The Button "Restart" is triggering a shutdown

Bug #1047424 reported by Benedikt on 2012-09-07
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
Low
Dmitry Shachnev
Raring
Medium
Unassigned

Bug Description

== Impact ==
"Restart" button in the Additional Drivers page is triggering a shutdown instead of a reboot.

== Development Fix ==
Fixed in saucy (0.92.18) by replacing a call:

    /usr/lib/indicator-session/gtk-logout-helper --shutdown
    --->
    /usr/lib/indicator-session/gtk-logout-helper --restart

== Regression Potential ==
None.

== Original Description ==
After I had installed the guestdriver for virtualbox I pressed the "Restart" button. This triggered a shutdown and not a reboot.

== Test Case ==
1. Install a driver using the Additional Drivers page.
2. Press "Restart" button.
3. The system should restart, not shutdown.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: software-properties-gtk 0.92.1
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic i686
ApportVersion: 2.5.1-0ubuntu7
Architecture: i386
Date: Fri Sep 7 16:31:44 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120905.2)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: software-properties
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Benedikt (benedikt-klotz) wrote :
Changed in software-properties (Ubuntu):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Dmitry Shachnev (mitya57)
Brian Murray (brian-murray) wrote :

This should be SRU'ed to Raring and Precise (if it is affected).

Changed in software-properties (Ubuntu Raring):
importance: Undecided → Medium
status: New → Triaged

On Mon, May 6, 2013 at 10:01 PM, Brian Murray <email address hidden> wrote:
> This should be SRU'ed to Raring and Precise (if it is affected).

No, the Additional Drivers panel was only introduced in Quantal.

Adolfo Jayme (fitojb) on 2013-05-27
Changed in software-properties (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.92.19

---------------
software-properties (0.92.19) saucy; urgency=low

  [ Scott Kostyshak ]
  * Improve error message when more than one repository argument is
    given. (LP: #1178015)
 -- Barry Warsaw <email address hidden> Tue, 28 May 2013 15:50:02 -0400

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
description: updated
description: updated
Brian Murray (brian-murray) wrote :

I'd be happy to sponsor this to R.

Brian Murray (brian-murray) wrote :

I uploaded this to the raring -proposed queue.

Hello Benedikt, or anyone else affected,

Accepted software-properties into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-properties/0.92.17.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-properties (Ubuntu Raring):
status: Triaged → Fix Committed
tags: added: verification-needed
Javier López (javier-lopez) wrote :

The -proposed update works on Ubuntu Raring amd64 without issues

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.92.17.1

---------------
software-properties (0.92.17.1) raring; urgency=low

  * Make Restart button restart the system, not shutdown it (LP: #1047424).
 -- Dmitry Shachnev <email address hidden> Tue, 30 Apr 2013 19:05:09 +0400

Changed in software-properties (Ubuntu Raring):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers